Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(126)

Issue 2801823002: Use ScopedTaskEnvironment instead of MessageLoop in media unit tests. (Closed)

Created:
1 year, 11 months ago by fdoray
Modified:
1 year, 11 months ago
CC:
chromium-reviews, eme-reviews_chromium.org, posciak+watch_chromium.org, feature-media-reviews_chromium.org, apacible+watch_chromium.org, piman+watch_chromium.org, xjz+watch_chromium.org, miu+watch_chromium.org, erickung+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Use ScopedTaskEnvironment instead of MessageLoop in media unit tests. ScopedTaskEnvironment allows usage of ThreadTaskRunnerHandle and base/task_scheduler/post_task.h within its scope. It should be instantiated in every unit test that uses either of these APIs (i.e. no test should instantiate a MessageLoop directly). Motivation for ScopedTaskEnvironment can be found in: https://docs.google.com/document/d/1QabRo8c7D9LsYY3cEcaPQbOCLo8Tu-6VLykYXyl3Pkk/edit BUG=708584 R=gab@chromium.org TBR=liberato@chromium.org CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.android:android_optional_gpu_tests_rel;master.tryserver.chromium.linux:linux_optional_gpu_tests_rel;master.tryserver.chromium.mac:mac_optional_gpu_tests_rel;master.tryserver.chromium.win:win_optional_gpu_tests_rel Review-Url: https://codereview.chromium.org/2801823002 Cr-Commit-Position: refs/heads/master@{#462509} Committed: https://chromium.googlesource.com/chromium/src/+/4cf067df249b8dbf265eeb944ed7c9b0ef420b08

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+15 lines, -8 lines) Patch
M media/base/audio_renderer_mixer_input_unittest.cc View 2 chunks +2 lines, -1 line 0 comments Download
M media/base/media_url_demuxer_unittest.cc View 2 chunks +2 lines, -1 line 0 comments Download
M media/cdm/aes_decryptor_unittest.cc View 2 chunks +2 lines, -1 line 0 comments Download
M media/cdm/cdm_adapter_unittest.cc View 2 chunks +2 lines, -1 line 0 comments Download
M media/gpu/android/media_codec_video_decoder_unittest.cc View 2 chunks +3 lines, -2 lines 0 comments Download
M media/gpu/ipc/service/gpu_jpeg_decode_accelerator_unittest.cc View 2 chunks +2 lines, -1 line 0 comments Download
M media/remoting/courier_renderer_unittest.cc View 2 chunks +2 lines, -1 line 0 comments Download

Depends on Patchset:

Messages

Total messages: 16 (10 generated)
fdoray
1 year, 11 months ago (2017-04-05 19:46:48 UTC) #1
fdoray
gab@: PTAL The change will then be TBRed to the owner.
1 year, 11 months ago (2017-04-05 19:46:51 UTC) #4
gab
lgtm
1 year, 11 months ago (2017-04-05 20:54:39 UTC) #6
liberato (no reviews please)
On 2017/04/05 20:54:39, gab wrote: > lgtm +dalecurtis, since i'm going ooo and didn't get ...
1 year, 11 months ago (2017-04-05 22:17:36 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2801823002/1
1 year, 11 months ago (2017-04-06 15:28:24 UTC) #13
commit-bot: I haz the power
1 year, 11 months ago (2017-04-06 16:49:19 UTC) #16
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/4cf067df249b8dbf265eeb944ed7...

Powered by Google App Engine
This is Rietveld 408576698